GeonetworkInstance.GeonetworkConfiguration (uri-resolver 1.5.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.datatransfer.resolver.gis

## Class GeonetworkInstance.GeonetworkConfiguration

- java.lang.Object
- - org.gcube.datatransfer.resolver.gis.GeonetworkInstance.GeonetworkConfiguration

- All Implemented Interfaces:
    org.gcube.spatial.data.geonetwork.configuration.Configuration
  Enclosing class:
    GeonetworkInstance

      public class GeonetworkInstance.GeonetworkConfiguration
      extends Object
      implements org.gcube.spatial.data.geonetwork.configuration.Configuration

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Map<org.gcube.spatial.data.geonetwork.LoginLevel,String>` | `pwds`
    `Map<org.gcube.spatial.data.geonetwork.LoginLevel,String>` | `usrs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeonetworkInstance.GeonetworkConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGeoNetworkEndpoint()`
    `Map<org.gcube.spatial.data.geonetwork.LoginLevel,String>` | `getGeoNetworkPasswords()`
    `Map<org.gcube.spatial.data.geonetwork.LoginLevel,String>` | `getGeoNetworkUsers()`
    `int` | `getScopeGroup()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### pwds

          public Map<org.gcube.spatial.data.geonetwork.LoginLevel,String> pwds

    - #### usrs

          public Map<org.gcube.spatial.data.geonetwork.LoginLevel,String> usrs

  - ### Constructor Detail

    - #### GeonetworkInstance.GeonetworkConfiguration

          public GeonetworkInstance.GeonetworkConfiguration()

  - ### Method Detail

    - #### getGeoNetworkEndpoint

          public String getGeoNetworkEndpoint()

      Specified by:
        `getGeoNetworkEndpoint` in interface `org.gcube.spatial.data.geonetwork.configuration.Configuration`

    - #### getGeoNetworkPasswords

          public Map<org.gcube.spatial.data.geonetwork.LoginLevel,String> getGeoNetworkPasswords()

      Specified by:
        `getGeoNetworkPasswords` in interface `org.gcube.spatial.data.geonetwork.configuration.Configuration`

    - #### getGeoNetworkUsers

          public Map<org.gcube.spatial.data.geonetwork.LoginLevel,String> getGeoNetworkUsers()

      Specified by:
        `getGeoNetworkUsers` in interface `org.gcube.spatial.data.geonetwork.configuration.Configuration`

    - #### getScopeGroup

          public int getScopeGroup()

      Specified by:
        `getScopeGroup` in interface `org.gcube.spatial.data.geonetwork.configuration.Configuration`

Copyright © 2016. All Rights Reserved.